package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.SiteDelivery;

/**
 * 快递公司Mapper接口
 * 
 * @author ruoyi
 * @date 2025-05-13
 */
public interface SiteDeliveryMapper 
{
    /**
     * 查询快递公司
     * 
     * @param id 快递公司主键
     * @return 快递公司
     */
    public SiteDelivery selectSiteDeliveryById(Long id);

    /**
     * 查询快递公司列表
     * 
     * @param siteDelivery 快递公司
     * @return 快递公司集合
     */
    public List<SiteDelivery> selectSiteDeliveryList(SiteDelivery siteDelivery);

    /**
     * 新增快递公司
     * 
     * @param siteDelivery 快递公司
     * @return 结果
     */
    public int insertSiteDelivery(SiteDelivery siteDelivery);

    /**
     * 修改快递公司
     * 
     * @param siteDelivery 快递公司
     * @return 结果
     */
    public int updateSiteDelivery(SiteDelivery siteDelivery);

    /**
     * 删除快递公司
     * 
     * @param id 快递公司主键
     * @return 结果
     */
    public int deleteSiteDeliveryById(Long id);

    /**
     * 批量删除快递公司
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSiteDeliveryByIds(Long[] ids);
}
